<?php
/* Widget de red para ver informacion bancos
 *
 *
 */

defined( 'ABSPATH' ) || exit;

if(is_multisite()){
	add_action('wp_network_dashboard_setup','agregar_widget_bancos_red');
}else{
	add_action('wp_dashboard_setup','agregar_widget_bancos_pais');	
}

function agregar_widget_bancos_red(){
	wp_add_dashboard_widget('id_widget_banks','Direct Bank of all sites','mostrar_widget_red_bancos');
}

function mostrar_widget_red_bancos(){
	$sites = get_sites(array('archived'=>0));
	$estilo = "<style>
		.t1{border:solid 1px Gainsboro;margin:auto;border-collapse: collapse;border:solid 1px gray;}
		.t1 tr {border:solid 1px darkgray;}
		.par{background-color:WhiteSmoke}
		.impar{background-color:LightGray}
		.cabeza{}
		.uno{color:DarkSlateGray;width:120px;background-color:LightGray;}
		.none{color:SteelBlue;width:120px;background-color:WhiteSmoke;}
		.grueso{font-size:18px;}
		.centro{}
		</style>";
	foreach ( $sites as $site ) {
		switch_to_blog( $site->blog_id );
		if (!str_contains(strtolower($site->blogname), 'manuals')){
			echo "<a style='font-size:20px;' href='".get_option('home')."/wp-admin/'>".$site->blogname."</a><br>";
			$bank_accounts = get_option('woocommerce_bacs_accounts');
			foreach ($bank_accounts as $bank_account){
				echo "<hr>";
				
				$td = td("Account name:","uno");
				$td .= td($bank_account['account_name']);
				$td .= td("Account number:","uno");
				$td .= td($bank_account['account_number']);
				$trs = tr($td,"par");

				$td = td("Bank name:","uno");
				$td .= td($bank_account['bank_name']);
				$td .= td("Sort Code:","uno");
				$td .= td($bank_account['sort_code']);
				$trs .= tr($td,"par");
				
				$td = td("Iban:","uno");
				$td .= td($bank_account['iban']);
				$td .= td("Bic/swift:","uno");
				$td .= td($bank_account['bic']);
				$trs .= tr($td,"par");
				
				$tabla = tabla($trs,"t1");
				echo $estilo;
				echo tag($tabla,"div","centro");
				

			}
		}//fin de si no es manuals
	}//fin de foreach

}

function agregar_widget_bancos_pais(){
	wp_add_dashboard_widget('id_widget_pais','Active Bank for this site','mostrar_widget_pais_bancos');
}

function mostrar_widget_pais_bancos(){

		echo "<a style='font-size:20px;' href='".get_option('home')."/wp-admin/'>".get_option('home')."</a><br>";
		$bank_accounts = get_option('woocommerce_bacs_accounts');
		echo "<hr>";
		
		$td = td("Account name:","uno");
		$td .= td($bank_account['account_name']);
		$td .= td("Account number:","uno");
		$td .= td($bank_account['account_number']);
		$trs = tr($td,"par");

		$td = td("Bank name:","uno");
		$td .= td($bank_account['bank_name']);
		$td .= td("Sort Code:","uno");
		$td .= td($bank_account['sort_code']);
		$trs .= tr($td,"impar");
		
		$td = td("Iban:","uno");
		$td .= td($bank_account['iban']);
		$td .= td("Bic/swift:","uno");
		$td .= td($bank_account['bic']);
		$trs .= tr($td,"par");
		
		$tabla = tabla($trs,"t1");
		echo $estilo;
		echo $tabla;
	
}


function tabla($el,$estilo="none"){
	return "<table class='".$estilo."'>".$el."</table>";
}
function tr($el,$estilo="none"){
	return "<tr class='".$estilo."'>".$el."</tr>";
}
function td($el, $estilo="none"){
	return "<td class='".$estilo."'>".$el."</td>";
}
function tag($el,$tipo="b",$estilo="none"){
	return "<".$tipo."  class='".$estilo."'>".$el."</".$tipo.">";
}
